# HgUpdateTask

Extends \HgBaseTask

Integration/Wrapper for hg update

Use \Project#createTask to register a new Task.

category | Tasks
package | phing.tasks.ext.hg
author | Ken Guest kguest@php.net
license | LGPL (see http://www.gnu.org/licenses/lgpl.html)
link | HgUpdateTask.php

### Methods

## Check provided repository directory actually is an existing directory.

    checkRepositoryIsDirAndExists(string $dir) : boolean

inherited

throws |

### Arguments

#### $dir

`string`

Repository directory

### Response

`boolean`

## Get branch attribute

    getBranch() : string

### Response

`string`

## Get 'clean' attribute.

    getClean() : boolean

### Response

`boolean`

## Returns the textual description of the task

    getDescription() : string

inherited

### Response

`string`

The text description of the task

## getFactoryInstance

    getFactoryInstance( $command,  $options = array())

inherited

### Arguments

#### $command

``

#### $options

``

## Get 'insecure' attribute value. (--insecure or null)

    getInsecure() : string

inherited

### Response

`string`

## Returns the location within the buildfile this task occurs. Used by {@link BuildException} to give detailed error messages.

    getLocation() : \Location

inherited

### Response

`\Location`

The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

inherited

### Response

`\Target`

The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

inherited

### Response

`\Project`

Reference to current porject object

## Get the quiet attribute value.

    getQuiet() : boolean

inherited

### Response

`boolean`

## Returns a name

    getRegisterSlot(string $slotName) : \RegisterSlot

inherited

### Arguments

#### $slotName

`string`

### Response

`\RegisterSlot`

## Get Repository attribute/directory.

    getRepository() : string

inherited

### Response

`string`

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

inherited

### Response

`\RuntimeConfigurable`

The wrapper object used by this task

## Returns the name of task, used only for log messages

    getTaskName() : string

inherited

### Response

`string`

Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

inherited

### Response

`string`

The type of this task (XML Tag)

## Get username attribute.

    getUser() : string

inherited

### Response

`string`

## Called by the parser to let the task initialize properly.

    init()

inherited

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

throws |

## Logs a message with the given priority.

    log(string $msg, integer $level = \Project::MSG_INFO) : void

inherited

### Arguments

#### $msg

`string`

The message to be logged.

#### $level

`integer`

The message's priority at this message should have

## Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.

    main()

inherited abstract

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

inherited

## Perfrom this task

    perform()

inherited

throws |

## Set branch attribute

    setBranch(string $value) : void

### Arguments

#### $value

`string`

Branch name

## Set 'clean' attribute.

    setClean(string $value) : void

### Arguments

#### $value

`string`

Clean attribute value

## Sets a textual description of the task

    setDescription(string $desc)

inherited

### Arguments

#### $desc

`string`

The text describing the task

## Set insecure attribute

    setInsecure(string $insecure) : void

inherited

### Arguments

#### $insecure

`string`

'yes', etc.

## Sets the location within the buildfile this task occurs. Called by the parser to set location information.

    setLocation(\Location $location)

inherited

### Arguments

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

inherited

### Arguments

#### $target

`\Target`

## References the project to the current component.

    setProject(\Project $project) : void

inherited

### Arguments

#### $project

`\Project`

The reference to the current project

## Set the quiet attribute --quiet

    setQuiet(string $quiet) : void

inherited

### Arguments

#### $quiet

`string`

yes|no|true|false|1|0

## Set repository attribute

    setRepository(string $repository) : void

inherited

### Arguments

#### $repository

`string`

Repository

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

inherited

### Arguments

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

inherited

### Arguments

#### $name

`string`

### Response

`string`

A string representing the name of this task for log

## Sets the type of the task. Usually this is the name of the XML tag

    setTaskType( $name)

inherited

### Arguments

#### $name

``

## Set user attribute

    setUser(string $user) : void

inherited

### Arguments

#### $user

`string`

username/email address.

### Properties

## Branch argument

    branch : string

Defaults to 'default'

var |

### Type(s)

`string`

## Clean argument

    clean : boolean

var |

### Type(s)

`boolean`

## Insecure argument

    insecure : string

inherited

var |

### Type(s)

`string`

## Repository directory

    repository : string

inherited

var |

### Type(s)

`string`

## Whether to be quiet.

    quiet : boolean

inherited

.. --quiet argument.

var |

### Type(s)

`boolean`

## Username.

    user : string

inherited

var |

### Type(s)

`string`

## factory

    factory :

inherited static

### Type(s)

``

## Owning Target object

    target : \Target

inherited

var |

### Type(s)

`\Target`

## Description of the task

    description : string

inherited

var |

### Type(s)

`string`

## Internal taskname (req)

    taskType : string

inherited

var |

### Type(s)

`string`

## Taskname for logger

    taskName : string

inherited

var |

### Type(s)

`string`

## Stored buildfile location

    location : \Location

inherited

var |

### Type(s)

`\Location`

## Wrapper of the task

    wrapper : \RuntimeConfigurable

inherited

var |

### Type(s)

`\RuntimeConfigurable`

## Holds a reference to the project that a project component (a task, a target, etc.) belongs to

    project : \Project

inherited

var | A reference to the current project instance

### Type(s)

`\Project`